Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jms
Class AtomikosJMSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  com.atomikos.jms.AtomikosJMSException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AtomikosTransactionRequiredJMSException

    public class AtomikosJMSException

extends javax.jms.JMSException

An extension of the standard JMSException with custom logic for error reporting.

See Also:
  Serialized Form

Method Summary
`static void` | `throwAtomikosJMSException(String msg)` Logs and throws an AtomikosJMSException.
`static void` | `throwAtomikosJMSException(String msg, Throwable cause)` Logs and throws and AtomikosJMSException.

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### throwAtomikosJMSException

    public static void throwAtomikosJMSException(String msg,
                                                 Throwable cause)
                                          throws AtomikosJMSException

  Logs and throws and AtomikosJMSException.

  Parameters:
    `msg` - The message to use.
    `cause` - The cause.
  Throws:
    `AtomikosJMSException`

### throwAtomikosJMSException

    public static void throwAtomikosJMSException(String msg)
                                          throws AtomikosJMSException

  Logs and throws an AtomikosJMSException.

  Parameters:
    `msg` - The message to use.
  Throws:
    `AtomikosJMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.